Summary:        nde-widget for Qt-based applications
Name:           nde-widget 
Version:        0.0.1
Release:        6%{?dist}
License:        LGPLv2+
Source0:        nde-widget-%{version}.tar.gz
BuildRequires:  cmake, qt5-qtbase-devel



%description
Theme to let Qt applications fit nicely into ndewidget desktop.



%prep
%autosetup



%build
mkdir -p "%{_target_platform}/lib"
pushd "%{_target_platform}/lib"
%{cmake} ../../designer
popd
make -j$(nproc) -C "%{_target_platform}/lib/%{_target_platform}"

mkdir -p "%{_target_platform}/test"
pushd "%{_target_platform}/test"
%{cmake} ../../
popd
make -j$(nproc) -C "%{_target_platform}/test/%{_target_platform}"



%install
make install/fast DESTDIR=%{buildroot} -C "%{_target_platform}/lib/%{_target_platform}"
make install/fast DESTDIR=%{buildroot} -C "%{_target_platform}/test/%{_target_platform}"



%files -n nde-widget
%doc README.md
/usr/bin/nde-style
/usr/lib64/libNde-Widget.so
%{_includedir}/animations/
%{_includedir}/designer/



%changelog
* Tue Jan 30 2024 Zhao Zhen <jeremiazhao@tencent.com> - 0.0.1-6
- small fix

* Wed Sep 30 2020 He Leilei <he.leilei@zte.com.cn> - 0.0.1-5
- 修复toggle控件水波纹动画位置显示不正确的bug，修复设置toggle控件状态不生效的问题

* Wed Jul 01 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-4
- 修复控件点击无效的bug

* Wed Jun 03 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-3
- add libNde-Widget.so to package

* Mon May 18 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-2
- Rename(984)

* Mon May 18 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-2
- add test programe into pkg.

